C** casco_input.f 
C**   Get the casco specific parameters
C**   See casco_params.h for more information   
C   
         subroutine casco_input
         include 'CASCO.DIM'
         include 'casco_params.h'
         include 'wind.h'
	 include 'deltabcs.h'

         
	 write(*,*)'Enter convergence parameters cutoff1 and cutoff2 '
	 read(*,*)cutoff1, cutoff2
	 write(*,*)cutoff1, cutoff2
         write(*,*)'Enter maximum number of iterations ' 
	 read(*,*)itermax 
	 write(*,*)itermax 
	 write(*,*)'Enter Wrho parameters w0, w1, w2'
         read(*,*)w0,w1,w2
         write(*,*)w0,w1,w2
         write(*,*)'Enter expected rms velocity error (m/s)'
	 read(*,*)exp_rms_vel_err
	 write(*,*)exp_rms_vel_err
         write(*,*)'Enter expected rms elevation error (m)'
	 read(*,*)exp_rms_elev_err
	 write(*,*)exp_rms_elev_err
	 write(*,*)'Averaging time scale for the elevation bcs (hours)' 
	 read(*,*)bcs_avg_tscale
	 write(*,*)bcs_avg_tscale
	 write(*,*)'Method of descent: 1-gradient, 2-cong. gradient'
	 read(*,*)method_descent
	 write(*,*)method_descent
c
c lagged convolution time series input
c 
         write(*,*)'enter the name of the multiple timeseries(.mts)',
     & 'file. (none) for timedomain inversion'
	 read(*,*) windfile
	 write(*,*) windfile

	 if (windfile(1:4).eq.'none')then
	  nlags=0
	 else
	  call get_timeseries
	 endif

         write(*,*)
	 write(*,*)'CASCO_INPUT' 
	 write(*,*)'cutoff1 and cutoff2 ', cutoff1, cutoff2
	 write(*,*)'itermax ', itermax
	 write(*,*)'w0, w1, w2 ', w0,w1, w2
	 write(*,*)'expected rms velocity error (m/s) ',exp_rms_vel_err
	 write(*,*)'expected rms elevation error (m) ',exp_rms_elev_err
	 write(*,*)'Scale for DomegaDrho ', scale_DoDr
	 write(*,*)'Averaging time scale for the elevation bcs (hours) ', 
     $              bcs_avg_tscale
         write(*,*)'Method of descent: ', method_descent
	 if((method_descent.lt.1).or.(method_descent.gt.2)) then
	     write(*,*)'Illegal choice for method of descent'
	     stop 5555
	 endif
      return
      end
      
